中危 Polkit 资源管理错误漏洞

CVE编号

CVE-2021-4115

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-02-22
漏洞描述
Polkit是一个在类 Unix操作系统中控制系统范围权限的组件。通过定义和审核权限规则,实现不同优先级进程间的通讯。

Polkit 存在资源管理错误漏洞,该漏洞源于进程文件描述符耗尽,攻击者利用该漏洞允许非特权用户导致polkit崩溃。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://access.redhat.com/security/cve/cve-2021-4115
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 polkit_project polkit 0.117 -
运行在以下环境
系统 amazon_2 freerdp * Up to
(excluding)
2.1.1-5.amzn2
运行在以下环境
系统 centos_8 freerdp * Up to
(excluding)
0.115-13.el8_5.2
运行在以下环境
系统 debian_11 freerdp * Up to
(including)
0.105-31+deb11u1
运行在以下环境
系统 debian_12 freerdp * Up to
(including)
0.105-31.1
运行在以下环境
系统 debian_sid freerdp * Up to
(including)
0.105-31.1
运行在以下环境
系统 fedora_34 freerdp * Up to
(excluding)
0.117-3.fc34.3
运行在以下环境
系统 fedora_35 freerdp * Up to
(excluding)
0.120-1.fc35.2
运行在以下环境
系统 opensuse_Leap_15.3 freerdp * Up to
(excluding)
0.116-3.9.1
运行在以下环境
系统 opensuse_Leap_15.4 freerdp * Up to
(excluding)
0.116-3.9.1
运行在以下环境
系统 oracle_7 freerdp * Up to
(excluding)
2.1.1-5.el7_9
运行在以下环境
系统 oracle_8 freerdp * Up to
(excluding)
2.2.0-7.el8_5
运行在以下环境
系统 redhat_7 freerdp * Up to
(excluding)
0:2.1.1-5.el7_9
运行在以下环境
系统 redhat_8 freerdp * Up to
(excluding)
0.115-13.el8_5.2
运行在以下环境
系统 suse_12_SP5 freerdp * Up to
(excluding)
0.113-5.27.1
运行在以下环境
系统 ubuntu_20.04 policykit-1 * Up to
(excluding)
0.105-26ubuntu1.3
运行在以下环境
系统 ubuntu_21.10 policykit-1 * Up to
(excluding)
0.105-31ubuntu0.2
阿里云评分
5.4
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-400 未加控制的资源消耗(资源穷尽)
阿里云安全产品覆盖情况